import * as types from "./types";
/**
 * A request to get image manifest by tag or digest
 * @param registryBase the hostname (and optionally base path) from which to get the manifest
 * @param repo the requested image repository
 * @param tag the manifest tag or digest value
 * @param username optional, username to be used for basic auth
 * @param password optional, password to be used for basic auth
 * @param options optional, request options
 * @param platform optional, the manifest platform (os and architecture), applicable for multi-architecture manifests.
 *                  Defaults to linux/amd64. In case the requested manifest platform is not found an error is thrown.
 * @returns
 */
export declare function getManifest(registryBase: string, repo: string, tag: string, username?: string, password?: string, options?: any, platform?: types.Platform): Promise<types.ImageManifest>;
